Bug 253789 - rhpxl does not configure synaptics driver
rhpxl does not configure synaptics driver
Product: Fedora
Classification: Fedora
Component: rhpxl (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-08-21 19:12 EDT by Orion Poplawski
Modified: 2008-08-12 10:30 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-08-12 10:30:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Orion Poplawski 2007-08-21 19:12:23 EDT
Description of problem:

On a laptop with a synaptics touchpad, the default xorg.conf file written during
install does not load the synaptics driver.  A new xorg.conf generated with
system-config-display does add configuration for the synaptics driver.

Perhaps the X server should always try to load the synaptics driver?  It seems
to handle the case where it isn't present fine:

(II) LoadModule: "synaptics"
(II) Loading /usr/lib/xorg/modules/input//synaptics_drv.so
(II) Module synaptics: vendor="X.Org Foundation"
(II) Synaptics touchpad driver version 0.14.4 (1404)
Mouse0 no synaptics event device found (checked 16 nodes)
Query no Synaptics: 6003C8
(EE) Mouse0 no synaptics touchpad detected and no repeater device
(EE) Mouse0 Unable to query/initialize Synaptics hardware.
(II) UnloadModule: "synaptics"

Version-Release number of selected component (if applicable):
Comment 1 Matěj Cepl 2007-09-27 11:14:26 EDT
Thanks for the bug report. We have reviewed the information you have provided
above, and there is some additional information we require that will be helpful
in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) and X server log
file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file
attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 Matěj Cepl 2007-09-27 11:16:08 EDT
Are you sure that synaptics driver is *that* important these days? I got pretty
reasonable results on my notebook just with default mouse driver.
Comment 3 Orion Poplawski 2007-09-27 16:57:22 EDT
I find that I can't live without vertical scrolling enabled.  To do this I need
to add the synaptics driver to the config file.

Of course, after saying this and doing a fresh install, I see that I got a
synaptics section.  However, I see that it is being configured with:

        InputDevice    "Synaptics" "CorePointer"

I recommend changing this to:

        InputDevice    "Synaptics" "AlwaysCore"

The problem occurs when a laptop is docked with the lid closed the synaptics
device is often disabled and so the X server cannot find the pointer and crashes.
Comment 4 Adam Jackson 2007-10-01 16:42:14 EDT
pyxf86config doesn't configure anything, it's just a binding to the config file
library.  This is in rhpxl if anything.
Comment 5 Bug Zapper 2008-04-04 09:39:31 EDT
Based on the date this bug was created, it appears to have been reported
during the development of Fedora 8. In order to refocus our efforts as
a project we are changing the version of this bug to '8'.

If this bug still exists in rawhide, please change the version back to
(If you're unable to change the bug's version, add a comment to the bug
and someone will change it for you.)

Thanks for your help and we apologize for the interruption.

The process we're following is outlined here:

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 6 Adam Jackson 2008-08-12 10:30:55 EDT
As of Fedora 9 we should be picking up the synaptics driver automagically, even at install time.  In F10 this is all handled by the input hotplug subsystem.

Note You need to log in before you can comment on or make changes to this bug.